def lunar_arithmetic(a,b):
    a_str = str(a)
    b_str = str(b)
    max_length = max(len(a_str), len(b_str))
    a_str = a_str.zfill(max_length)
    b_str = b_str.zfill(max_length)
    lunar_sum = []
    lunar_product = []

    for digit_a, digit_b in zip(a_str, b_str):
        lunar_sum.append(str(max(int(digit_a), int(digit_b))))
        lunar_product.append(str(min(int(digit_a), int(digit_b))))

    lunar_sum_result = ''.join(lunar_sum)
    lunar_product_result = ''.join(lunar_product)

    return lunar_sum_result, lunar_product_result

a = input().strip()
b = input().strip()

lunar_sum, lunar_product = lunar_arithmetic(a,b)
print(lunar_sum, lunar_product)