def lunar_addition(a,b):
    a_str = str(a)
    b_str = str(b)
    if len(a_str) > len(b_str):
        b_str += '0' * (len(a_str) - len(b_str)) + b_str
    else:
        a_str += '0' * (len(b_str) - len(a_str)) + a_str
    result = []
    for i in range(len(a_str)):
        result.append(max(int(a_str[i]), int(b_str[i])))
    return int(''.join(map(str, result)))

def lunar_multiplication(a,b):
    a_str = str(a)
    b_str = str(b)
    if len(a_str) > len(b_str):
        b_str += '0' * (len(a_str) - len(b_str)) + b_str
    else:
        a_str += '0' * (len(b_str) - len(a_str)) + a_str
    result = 0
    for i in range(len(a_str)):
        for j in range(len(b_str)):
            product_digit = int(a_str[i]) * int(b_str[j])
            if product_digit > result:
                result = product_digit
    return result

a = input().strip()
b = input().strip()
lunar_sum = lunar_addition(a,b)
lunar_product = lunar_multiplication(a,b)
print(lunar_sum, lunar_product)